Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.controller
Interface IMonitoringController

All Superinterfaces:
  IJMXController, IMonitoringRecordReceiver, IProbeController, IRegistryController, ISamplingController, IStateController, ITimeSourceController, IWriterController

All Known Implementing Classes:
  MonitoringController

    public interface IMonitoringController

extends IJMXController, IProbeController, IRegistryController, ISamplingController, IStateController, ITimeSourceController, IWriterController

Since:
  1.3
Author:
  Jan Waller, Robert von Massow

Method Summary
`boolean` | `sendMetadataAsRecord()` This method is used to log the status of the controllers to the configured writer.
`String` | `toString()` This method is used to log the status of the controllers to the console.

Methods inherited from interface kieker.monitoring.core.controller.IJMXController
`getJMXDomain`

Methods inherited from interface kieker.monitoring.core.controller.IProbeController
`activateProbe, deactivateProbe, getProbePatternList, isProbeActivated, setProbePatternList`

Methods inherited from interface kieker.monitoring.core.controller.IRegistryController
`getStringForUniqueId, getStringRegistry, getUniqueIdForString`

Methods inherited from interface kieker.monitoring.core.controller.ISamplingController
`removeScheduledSampler, schedulePeriodicSampler`

Methods inherited from interface kieker.monitoring.core.controller.IStateController
`disableMonitoring, enableMonitoring, getExperimentId, getHostname, getName, incExperimentId, isDebug, isMonitoringEnabled, isMonitoringTerminated, setExperimentId, terminateMonitoring`

Methods inherited from interface kieker.monitoring.core.controller.ITimeSourceController
`getTimeSource`

Methods inherited from interface kieker.monitoring.core.controller.IWriterController
`getNumberOfInserts, newMonitoringRecord`

Method Detail

### toString

    String toString()

  This method is used to log the status of the controllers to the console. It is included in this interface to ensure its publication over JMX.

  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation of the current controller
  Since:
    1.3

### sendMetadataAsRecord

    boolean sendMetadataAsRecord()

  This method is used to log the status of the controllers to the configured writer. The `KiekerMetadataRecord` record is used. This method is automatically executed for the first record sent.

  Returns:
    true if successful
  Since:
    1.7

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net